org.hibernate.search.backend.impl.lucene.works

## Class IndexUpdateVisitor

- java.lang.Object
- - org.hibernate.search.backend.impl.lucene.works.IndexUpdateVisitor

- All Implemented Interfaces:
    IndexWorkVisitor<Void,LuceneWorkExecutor>

      public class IndexUpdateVisitor
      extends Object
      implements IndexWorkVisitor<Void,LuceneWorkExecutor>

  A `IndexWorkVisitor` which applies updates to the underlying Lucene index.

  Implementation note: This `IndexWorkVisitor` implementation intentionally does not perform the actual logic within the individual visit methods themselves but rather returns a delegate class for that purpose. This is to avoid the need for the allocation of a parameter object with the required input data, instead a method with the required parameters is exposed on said delegate.

  Author:
    Sanne Grinovero, Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexUpdateVisitor(Workspace workspace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LuceneWorkExecutor` | `visitAddWork(AddLuceneWork addLuceneWork, Void p)`
    `LuceneWorkExecutor` | `visitDeleteByQueryWork(DeleteByQueryLuceneWork deleteByQueryLuceneWork, Void p)`
    `LuceneWorkExecutor` | `visitDeleteWork(DeleteLuceneWork deleteLuceneWork, Void p)`
    `LuceneWorkExecutor` | `visitFlushWork(FlushLuceneWork flushLuceneWork, Void p)`
    `LuceneWorkExecutor` | `visitOptimizeWork(OptimizeLuceneWork optimizeLuceneWork, Void p)`
    `LuceneWorkExecutor` | `visitPurgeAllWork(PurgeAllLuceneWork purgeAllLuceneWork, Void p)`
    `LuceneWorkExecutor` | `visitUpdateWork(UpdateLuceneWork updateLuceneWork, Void p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexUpdateVisitor

          public IndexUpdateVisitor(Workspace workspace)

  - ### Method Detail

    - #### visitAddWork

          public LuceneWorkExecutor visitAddWork(AddLuceneWork addLuceneWork,
                                                 Void p)

      Specified by:
        `visitAddWork` in interface `IndexWorkVisitor<Void,LuceneWorkExecutor>`

    - #### visitDeleteWork

          public LuceneWorkExecutor visitDeleteWork(DeleteLuceneWork deleteLuceneWork,
                                                    Void p)

      Specified by:
        `visitDeleteWork` in interface `IndexWorkVisitor<Void,LuceneWorkExecutor>`

    - #### visitOptimizeWork

          public LuceneWorkExecutor visitOptimizeWork(OptimizeLuceneWork optimizeLuceneWork,
                                                      Void p)

      Specified by:
        `visitOptimizeWork` in interface `IndexWorkVisitor<Void,LuceneWorkExecutor>`

    - #### visitPurgeAllWork

          public LuceneWorkExecutor visitPurgeAllWork(PurgeAllLuceneWork purgeAllLuceneWork,
                                                      Void p)

      Specified by:
        `visitPurgeAllWork` in interface `IndexWorkVisitor<Void,LuceneWorkExecutor>`

    - #### visitUpdateWork

          public LuceneWorkExecutor visitUpdateWork(UpdateLuceneWork updateLuceneWork,
                                                    Void p)

      Specified by:
        `visitUpdateWork` in interface `IndexWorkVisitor<Void,LuceneWorkExecutor>`

    - #### visitFlushWork

          public LuceneWorkExecutor visitFlushWork(FlushLuceneWork flushLuceneWork,
                                                   Void p)

      Specified by:
        `visitFlushWork` in interface `IndexWorkVisitor<Void,LuceneWorkExecutor>`

    - #### visitDeleteByQueryWork

          public LuceneWorkExecutor visitDeleteByQueryWork(DeleteByQueryLuceneWork deleteByQueryLuceneWork,
                                                           Void p)

      Specified by:
        `visitDeleteByQueryWork` in interface `IndexWorkVisitor<Void,LuceneWorkExecutor>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved